import 'package:food_delivery_client/core/theme/app_theme_colors.dart';
import 'package:food_delivery_client/core/theme/app_theme_textstyles.dart';
import 'package:food_delivery_client/core/theme/theme_icons.dart';

import '../../food_delivery_client.dart';

extension BuildContextExtensions on BuildContext {
  MediaQueryData get mq => MediaQuery.of(this);

  double get w => mq.size.width;

  double get h => mq.size.height;

  AppLocalizations get loc => AppLocalizations.of(this)!;

  ThemeData get theme => Theme.of(this);

  AppThemeIcons get appThemeIcons => theme.extension<AppThemeIcons>()!;

  AppThemeTextStyles get appThemeTextStyles =>
      theme.extension<AppThemeTextStyles>()!;

  AppThemeColors get appThemeColors => theme.extension<AppThemeColors>()!;
}
